<?php
/**
 * List of demos json
 *
 * @package The Styled Blog
 * @since 1.0.0
 */
$demos_array = array(
    'the-styled-blog' => array(
        'name' => 'Default',
        'type' => 'free',
        'external_url' => 'https://demo.blazethemes.com/import-files/the-styled-blog/the-styled-blog.zip',
        'image' => 'https://blazethemes.com/wp-content/uploads/2022/05/Styled-Blog-–-Fine-Designed-Blog.jpg',
        'preview_url' => 'https://demo.blazethemes.com/the-styled-blog-demo-free/',
        'menu_array' => array(
            'menu-1' => 'Header Menu'
        ),
        'home_slug' => '',
        'blog_slug' => '',
        'plugins' => array(
            'woocommerce' => array(
                'name' => 'Woocommerce',
                'source' => 'wordpress',
                'file_path' => 'woocommerce/woocommerce.php'
            ),
            'contact-form-7'  => array(
                'name' => 'Contact Form 7',
                'source' => 'wordpress',
                'file_path' => 'contact-form-7/wp-contact-form-7.php'
            )
        ),
        'tags' => array(
            'free' => 'Free'
        )
    ),
    'the-styled-blog-clean' => array(
        'name' => 'Clean',
        'type' => 'free',
        'external_url' => 'https://demo.blazethemes.com/import-files/the-styled-blog/the-styled-blog-clean.zip',
        'image' => 'https://blazethemes.com/wp-content/uploads/2022/05/The-Styled-Blog-–-Just-another-My-WordPress-Sites-site.jpg',
        'preview_url' => 'https://demo.blazethemes.com/the-styled-blog-demo-one-free/',
        'menu_array' => array(
            'menu-1' => 'Header Menu'
        ),
        'home_slug' => '',
        'blog_slug' => '',
        'plugins' => array(
            'woocommerce' => array(
                'name' => 'Woocommerce',
                'source' => 'wordpress',
                'file_path' => 'woocommerce/woocommerce.php'
            ),
            'contact-form-7'  => array(
                'name' => 'Contact Form 7',
                'source' => 'wordpress',
                'file_path' => 'contact-form-7/wp-contact-form-7.php'
            )
        ),
        'tags' => array(
            'free' => 'Free'
        )
    ),
    'the-styled-blog-pro' => array(
        'name' => 'Default',
        'type' => 'pro',
        'buy_url'=> 'https://blazethemes.com/theme/the-styled-blog-pro/',
        'external_url' => 'https://demo.blazethemes.com/import-files/the-styled-blog/the-styled-blog-pro.zip',
        'image' => 'https://blazethemes.com/wp-content/uploads/2022/04/demo-one.jpg',
        'preview_url' => 'https://demo.blazethemes.com/the-styled-blog-demo/',
        'menu_array' => array(
            'menu-1' => 'Header Menu'
        ),
        'home_slug' => '',
        'blog_slug' => '',
        'plugins' => array(
            'woocommerce' => array(
                'name' => 'Woocommerce',
                'source' => 'wordpress',
                'file_path' => 'woocommerce/woocommerce.php'
            ),
            'contact-form-7'  => array(
                'name' => 'Contact Form 7',
                'source' => 'wordpress',
                'file_path' => 'contact-form-7/wp-contact-form-7.php'
            ),
            'instagram-feed'  => array(
                'name' => 'Instagram Feed',
                'source' => 'wordpress',
                'file_path' => 'instagram-feed/instagram-feed.php'
            )
        ),
        'tags' => array(
            'pro' => 'Pro'
        )
    ),
    'the-styled-blog-pro-masonry' => array(
        'name' => 'Masonry',
        'type' => 'pro',
        'buy_url'=> 'https://blazethemes.com/theme/the-styled-blog-pro/',
        'external_url' => 'https://demo.blazethemes.com/import-files/the-styled-blog/the-styled-blog-pro-masonry.zip',
        'image' => 'https://blazethemes.com/wp-content/uploads/2022/05/Demo-two.jpg',
        'preview_url' => 'https://demo.blazethemes.com/the-styled-blog-demo-two/',
        'menu_array' => array(
            'menu-1' => 'Header Menu'
        ),
        'home_slug' => '',
        'blog_slug' => '',
        'plugins' => array(
            'woocommerce' => array(
                'name' => 'Woocommerce',
                'source' => 'wordpress',
                'file_path' => 'woocommerce/woocommerce.php'
            ),
            'contact-form-7'  => array(
                'name' => 'Contact Form 7',
                'source' => 'wordpress',
                'file_path' => 'contact-form-7/wp-contact-form-7.php'
            ),
            'instagram-feed'  => array(
                'name' => 'Instagram Feed',
                'source' => 'wordpress',
                'file_path' => 'instagram-feed/instagram-feed.php'
            )
        ),
        'tags' => array(
            'pro' => 'Pro'
        )
    ),
    'the-styled-blog-pro-health' => array(
        'name' => 'Health',
        'type' => 'pro',
        'buy_url'=> 'https://blazethemes.com/theme/the-styled-blog-pro/',
        'external_url' => 'https://demo.blazethemes.com/import-files/the-styled-blog/the-styled-blog-pro-health.zip',
        'image' => 'https://blazethemes.com/wp-content/uploads/2022/04/The-Styled-Blog-Demo-one.jpg',
        'preview_url' => 'https://demo.blazethemes.com/the-styled-blog-demo-one/',
        'menu_array' => array(
            'menu-1' => 'Header Menu'
        ),
        'home_slug' => '',
        'blog_slug' => '',
        'plugins' => array(
            'email-subscribers' => array(
                'name' => 'Email Subscriber',
                'source' => 'wordpress',
                'file_path' => 'email-subscribers/email-subscribers.php'
            ),
            'instagram-feed'  => array(
                'name' => 'Instagram Feed',
                'source' => 'wordpress',
                'file_path' => 'instagram-feed/instagram-feed.php'
            )
        ),
        'tags' => array(
            'pro' => 'Pro'
        )
    ),
    'the-styled-blog-pro-food' => array(
        'name' => 'Food',
        'type' => 'pro',
        'buy_url'=> 'https://blazethemes.com/theme/the-styled-blog-pro/',
        'external_url' => 'https://demo.blazethemes.com/import-files/the-styled-blog/the-styled-blog-pro-food.zip',
        'image' => 'https://blazethemes.com/wp-content/uploads/2022/05/The-Styled-Blog-Demo-food.jpg',
        'preview_url' => 'https://demo.blazethemes.com/the-styled-blog-demo-three/',
        'menu_array' => array(
            'menu-1' => 'Header Menu'
        ),
        'home_slug' => '',
        'blog_slug' => '',
        'plugins' => array(
            'woocommerce' => array(
                'name' => 'Woocommerce',
                'source' => 'wordpress',
                'file_path' => 'woocommerce/woocommerce.php'
            ),
            'contact-form-7'  => array(
                'name' => 'Contact Form 7',
                'source' => 'wordpress',
                'file_path' => 'contact-form-7/wp-contact-form-7.php'
            ),
            'instagram-feed'  => array(
                'name' => 'Instagram Feed',
                'source' => 'wordpress',
                'file_path' => 'instagram-feed/instagram-feed.php'
            )
        ),
        'tags' => array(
            'pro' => 'Pro'
        )
    ),
    'the-styled-blog-pro-spa' => array(
        'name' => 'Spa',
        'type' => 'pro',
        'buy_url'=> 'https://blazethemes.com/theme/the-styled-blog-pro/',
        'external_url' => 'https://demo.blazethemes.com/import-files/the-styled-blog/the-styled-blog-pro-spa.zip',
        'image' => 'https://blazethemes.com/wp-content/uploads/2022/05/the-styled-blog-demo-four.jpg',
        'preview_url' => 'https://demo.blazethemes.com/the-styled-blog-demo-four/',
        'menu_array' => array(
            'menu-1' => 'Header Menu'
        ),
        'home_slug' => '',
        'blog_slug' => '',
        'plugins' => array(
            'woocommerce' => array(
                'name' => 'Woocommerce',
                'source' => 'wordpress',
                'file_path' => 'woocommerce/woocommerce.php'
            ),
            'contact-form-7'  => array(
                'name' => 'Contact Form 7',
                'source' => 'wordpress',
                'file_path' => 'contact-form-7/wp-contact-form-7.php'
            ),
            'instagram-feed'  => array(
                'name' => 'Instagram Feed',
                'source' => 'wordpress',
                'file_path' => 'instagram-feed/instagram-feed.php'
            ),
            'email-subscribers' => array(
                'name' => 'Email Subscriber',
                'source' => 'wordpress',
                'file_path' => 'email-subscribers/email-subscribers.php'
            )
        ),
        'tags' => array(
            'pro' => 'Pro'
        )
    )
);
return apply_filters( 'the_styled_blog__demos_array_filter', $demos_array );